> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询全部永续合约行情统计

> 查询永续合约行情统计数据

查询全部永续合约行情统计数据。


## OpenAPI

````yaml openapi/perpdex.yaml GET /dex_futures/{settle}/tickers
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/tickers:
    get:
      tags:
        - 行情
      summary: 查询全部永续合约行情统计
      description: 查询全部永续合约行情统计，可通过 contract 只返回指定合约。
      operationId: listPerpTickers
      parameters:
        - $ref: '#/components/parameters/Settle'
        - $ref: '#/components/parameters/ContractQuery'
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Ticker'
      security: []
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
    ContractQuery:
      name: contract
      in: query
      required: false
      description: 永续合约，不传则返回全部
      schema:
        type: string
  schemas:
    Ticker:
      type: object
      properties:
        contract:
          type: string
          description: 合约名称
        last:
          type: string
          description: 最新成交价
        change_percentage:
          type: string
          description: 涨跌幅
        total_size:
          type: string
          description: 成交量
        volume_24h:
          type: string
          description: 24 小时成交额
        volume_24h_usd:
          type: string
          description: 24 小时美元成交额
        mark_price:
          type: string
          description: 标记价格
        index_price:
          type: string
          description: 指数价格
        funding_rate:
          type: string
          description: 资金费率
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.